#!/bin/bash

echo "This file will try to process all steps for installation automatically. If there are any problems, open it to see further instructions and comments"
echo "If build fails, try to clean the project with clean.sh first."
echo "Please see INSTALL file for required packages to be installed before this script!"
echo "Press Enter to continue or Ctrl+c to cancel"
read nothing
set -x # write commands to output
set -e # cancel script on errors

# 1. For VarTypes:
cd vartypes
./generate.sh
make
make install
#echo "/usr/local/lib" | sudo tee -a /etc/ld.so.conf
#sudo ldconfig
cd ..

tar xjf ode-0.13.tar.bz2
cd ode-0.13
if [[ $OSTYPE == darwin* ]]
then
	export CXX="clang++ -stdlib=libstdc++"
fi
./configure --enable-double-precision
make
#sudo make install
cd ..
    
# 2. build protobuf files
cd proto
cd pb
protoc *.proto --cpp_out=../
cd ../..
   
# 3. generate MakeFile for qt
if [ -f /usr/bin/qmake-qt4 ]; then
	/usr/bin/qmake-qt4 Simulator.pro
else
	qmake Simulator.pro
fi

# 4. build grSim
make

set +x

echo "The binary file will be in grSim/bin. If you received linker error about GL related libraries, also check your graphics card driver."
echo "If grSim does not start because of mass > 0 assertions, try to replace all , by . in bin/settings.xml or vice versa."


set +e
