//========================================================================
//  This software is free: you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License Version 3,
//  as published by the Free Software Foundation.
//
//  This software is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License
//  Version 3 in the file COPYING that came with this distribution.
//  If not, see <http://www.gnu.org/licenses/>.
//========================================================================
/*!
  \file    VarTypes.h
  \brief   The main header for the VarTypes system
  \author  Stefan Zickler, (C) 2008

  This is the main header for the VarTypes system.
  It provides definitions for all base-types.

  \b About:     VarTypes are an object-oriented, abstracted
                framework for handling variables of all primitive, but
                also arbitrarily complex types.

  \b Features:  VarTypes allow hierarchical orginazation, thread-safety,
                load/store to/from xml, optional QT4-based signals,
                and optional QT4-based model/view visualization.
                Supported base types are int, bool, double, string,
                lists, binary data (uchar* blocks).
                More complex types can be added easily by inheriting the
                VarType base-class.

  \b Usage:     All VarTypes extend the base-class VarType (see \c VarType.h )
*/
//========================================================================

#ifndef VTYPES_H_
#define VTYPES_H_

#include "VarTypesInstance.h"

#endif /*VTYPES_H_*/
